/* THES -- THES.CMD */
/* author:      Franz-Josef Wirtz <fw@ecotopia.oche.de>
 * copyright:   1997-1999 to the author, who refuses *any* warranty, use 
 *              at own risk
 * your right:  This batch is free software; see the file COPYING which comes
 *              with THE for the GNU General Public License.
 * operating system: OS/2, slight modifications necessary for others
 * purpose:     surround editor THE (The Hessling Editor) with a simple 
 *              client-server approach.
 *              Set up communication queue, which can be checked by macro
 *	        'PQ.THE'.
 * restriction: no filenames with spaces allowed,
 * environment: usual setup of THE, the.exe must reside in THE_HOME_DIR
 * notes:       The queue is closed after termination of THE. In case, a queue
 *              of the name THE_COMM should exist (for any reason), this queue
 *              will be reused
 * version:     2.7a
 */

commQ = 'THE_COMM'

/* create a new communication queue */
newQ = rxqueue( 'Create', commQ) /* no rc set */
if (newQ <> commQ) then
do
   say "communication queue probably already exists - reusing it"
   rc_del = rxqueue( 'Delete', newQ)
end

parse arg arglist
env = "OS2ENVIRONMENT"
the_home_dir = value( "THE_HOME_DIR",, env)
address cmd the_home_dir'\the' arglist

_cleanup:
/* delete the communication queue */
  rc_del = rxqueue( 'Delete', newQ)
exit
